package com.ruoyi.manage.service.impl;

import java.util.List;




















import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.manage.mapper.RecordStoreCheckMapper;
import com.ruoyi.manage.domain.RecordStoreCheck;
import com.ruoyi.manage.service.IRecordStoreCheckService;
import com.ruoyi.common.core.text.Convert;

/**
 * 盘点记录Service业务层处理
 *
 * @author wangh
 * @date 2024-01-19
 */
@Service
public class RecordStoreCheckServiceImpl implements IRecordStoreCheckService {
    @Autowired
    private RecordStoreCheckMapper recordStoreCheckMapper;

    /**
     * 查询盘点记录
     *
     * @param checkId 盘点记录主键
     * @return 盘点记录
     */
    @Override
    public RecordStoreCheck selectRecordStoreCheckByCheckId(Long checkId) {
        return recordStoreCheckMapper.selectRecordStoreCheckByCheckId(checkId);
    }

    /**
     * 查询盘点记录列表
     *
     * @param recordStoreCheck 盘点记录
     * @return 盘点记录
     */
    @Override
    public List<RecordStoreCheck> selectRecordStoreCheckList(RecordStoreCheck recordStoreCheck) {
        return recordStoreCheckMapper.selectRecordStoreCheckList(recordStoreCheck);
    }

    /**
     * 新增盘点记录
     *
     * @param recordStoreCheck 盘点记录
     * @return 结果
     */
    @Override
    public int insertRecordStoreCheck(RecordStoreCheck recordStoreCheck) {





            return recordStoreCheckMapper.insertRecordStoreCheck(recordStoreCheck);
    }

    /**
     * 修改盘点记录
     *
     * @param recordStoreCheck 盘点记录
     * @return 结果
     */
    @Override
    public int updateRecordStoreCheck(RecordStoreCheck recordStoreCheck) {
        return recordStoreCheckMapper.updateRecordStoreCheck(recordStoreCheck);
    }

    /**
     * 批量删除盘点记录
     *
     * @param checkIds 需要删除的盘点记录主键
     * @return 结果
     */
    @Override
    public int deleteRecordStoreCheckByCheckIds(String checkIds) {
        return recordStoreCheckMapper.deleteRecordStoreCheckByCheckIds(Convert.toStrArray(checkIds));
    }

    /**
     * 删除盘点记录信息
     *
     * @param checkId 盘点记录主键
     * @return 结果
     */
    @Override
    public int deleteRecordStoreCheckByCheckId(Long checkId) {
        return recordStoreCheckMapper.deleteRecordStoreCheckByCheckId(checkId);
    }
}
